Home//
REST API Reference
/- Cancel content data export
Create content data export
Show content data export
Download content data export
Data Export
Cancel content data expor...
You can cancel your job. A job that has already reached a terminal state is returned unchanged.
Requires the export_content_data OAuth scope.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
- The production API serverhttps://api.intercom.io/export/cancel/{job_identifier}
- The european API serverhttps://api.eu.intercom.io/export/cancel/{job_identifier}
- The australian API serverhttps://api.au.intercom.io/export/cancel/{job_identifier}
curl -i -X POST \
'https://api.intercom.io/export/cancel/{job_identifier}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.17'successful
The current state of your job.
Enum:"pending""in_progress""failed""completed""no_data""canceled"
Example:"pending"
The time after which you will not be able to access the data, as a Unix timestamp. It is one week from the time the job was created. Empty until the job completes.
Example:"1674917488"
Response
{ "job_identifier": "v134nyc2bku9hj91", "status": "canceled", "download_url": "", "download_expires_at": "" }